package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Addmission_formRepository;
import com.realnet.basicp1.Entity.Addmission_form
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class Addmission_formService {
@Autowired
private Addmission_formRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Addmission_form Savedata(Addmission_form data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Addmission_form save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Addmission_form> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Addmission_form> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Addmission_form> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Addmission_form getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Addmission_form update(Addmission_form data,Integer id) {
	Addmission_form old = Repository.findById(id).get();
old.setStudent_name(data.getStudent_name());

old.setNumber_field(data.getNumber_field());

old.setEmail_field(data.getEmail_field());

old.setUrl_field(data.getUrl_field());

 

 

final Addmission_form test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
